/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dynamic.data.mapping.type.grid.internal;

import com.liferay.dynamic.data.mapping.form.field.type.BaseDDMFormFieldType;
import com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldType;
import com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldTypeSettings;

import org.osgi.service.component.annotations.Component;

/**
 * @author Pedro Queiroz
 */
@Component(
	immediate = true,
	property = {
		"ddm.form.field.type.data.domain=list",
		"ddm.form.field.type.description=grid-field-type-description",
		"ddm.form.field.type.display.order:Integer=7",
		"ddm.form.field.type.group=basic", "ddm.form.field.type.icon=table2",
		"ddm.form.field.type.js.class.name=Liferay.DDM.Field.Grid",
		"ddm.form.field.type.js.module=liferay-ddm-form-field-grid",
		"ddm.form.field.type.label=grid-field-type-label",
		"ddm.form.field.type.name=grid"
	},
	service = DDMFormFieldType.class
)
public class GridDDMFormFieldType extends BaseDDMFormFieldType {

	@Override
	public Class<? extends DDMFormFieldTypeSettings>
		getDDMFormFieldTypeSettings() {

		return GridDDMFormFieldTypeSettings.class;
	}

	@Override
	public String getName() {
		return "grid";
	}

}